CREATE TABLE `author` (
  `author_id` mediumint(8) unsigned NOT NULL auto_increment,
  `l_name` varchar(100) NOT NULL default '',
  `f_name` varchar(35) NOT NULL default '',
  `short_name` varchar(50) NOT NULL default '',
  `ext` varchar(35) NOT NULL default '',
  PRIMARY KEY  (`author_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Listing of book authors';

CREATE TABLE `book` (
  `doc_id` mediumint(8) unsigned NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `alpha_title` varchar(200) NOT NULL default '',
  `author_id` mediumint(8) unsigned NOT NULL default '0',
  `pub_year` varchar(4) default NULL,
  `posted` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`doc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Listing of available books.';

CREATE TABLE `bookcategory` (
  `doc_id` mediumint(8) unsigned NOT NULL default '0',
  `cat_id` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`doc_id`,`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Details of categories that books are categorized in.';

CREATE TABLE `bookformat` (
  `format_id` tinyint(3) unsigned NOT NULL default '0',
  `doc_id` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`format_id`,`doc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Details of formats that books are available in.';

CREATE TABLE `category` (
  `cat_id` tinyint(3) unsigned NOT NULL auto_increment,
  `title` varchar(25) NOT NULL default '',
  `description` text NOT NULL,
  `parent` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cat_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Listing of book categories.';

CREATE TABLE `categoryrelation` (
  `from` tinyint(3) unsigned NOT NULL default '0',
  `to` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`from`,`to`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Listing of relations between categories.';

CREATE TABLE `format` (
  `format_id` tinyint(3) unsigned NOT NULL auto_increment,
  `extension` varchar(4) NOT NULL default '',
  `description` varchar(25) NOT NULL default '',
  `sourcepath` varchar(50) NOT NULL default '',
  `xsltfile` varchar(25) default NULL,
  `headerfile` varchar(25) default NULL,
  `footerfile` varchar(25) default NULL,
  PRIMARY KEY  (`format_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Listing of book formats.';

CREATE TABLE `stat` (
  `item` mediumint(8) unsigned NOT NULL default '0',
  `stat` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`item`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Stats of various items in the database';

ALTER TABLE `book`     AUTO_INCREMENT = 1000001;
ALTER TABLE `author`   AUTO_INCREMENT = 100001;
ALTER TABLE `category` AUTO_INCREMENT = 101;
ALTER TABLE `format`   AUTO_INCREMENT = 11;
