<?php
include_once('etc/vars.php');
// ******************************************************************
// display.php
// Purpose:
//    To display the online document referenced by the passed-in
//    $frmDoc and $frmFormat.  If no format is specified, the default
//    is used, (specified in vars.php).  Once the format is known,
//    the details are gathered out of the database, to determine how
//    to handle the file.  If it requires an XSLT transformation,
//    then used the stylesheet specified in the database to do so. 
//    If it requires headers and footers, then add them as needed.
//    If it does not require any of that, but rather is just a static
//    document (i.e. PDF, Raw XML, etc) then redirect directly to
//    that file.
// ******************************************************************

// ******************************************************************
// Gather and validate frmDoc (Doc ID) and frmFormat (Extension) variables.
// ******************************************************************
$frmDoc = validateNumericGetVariable($_GET['d']);
$frmFormat = $_GET['f'];

// ******************************************************************
// Proceed if valid doc_id was passed into page.
// ******************************************************************
if (!($frmDoc == 0))
{

  // ******************************************************************
  // If no format specified, set to default format (from vars.php).
  // ******************************************************************
  if (is_null($frmFormat))
  {
    $frmFormat = $defaultFormat;
  }

  // ******************************************************************
  // Get Format Details and assign to variables (include full document path)
  // ******************************************************************
  $format_details = getBookFormatDetails($frmFormat);

  if ($format = dbGetRow($format_details))
  {
    $sourcePath = str_replace('$doc_id', $frmDoc, $format[0]);
    $xsltFile   = $format[1];
    $headerFile = $format[2];
    $footerFile = $format[3];
  }
  
  // ******************************************************************
  // Transform XML Document (and add 'book read' for stats)
  // ******************************************************************
  if (!is_null($xsltFile))
  {
    addBookRead($frmDoc);
    blockTransformXML($frmDoc, $sourcePath, $xsltFile, $headerFile, $footerFile);
  }

  // ******************************************************************
  // Redirect to static content.
  // ******************************************************************
  else
  {
    blockDisplayStaticRedirect($sourcePath);
  }

}

// ******************************************************************
// If no valid $frmDoc specified in GET, redirect to home page.
// ******************************************************************
else
{
  header('location: ' . $site_root . '/index.php');
}
?>
