<?php
include_once('etc/vars.php');

// ******************************************************************
// SCRIPTURE TABLE
// Functions Available:
//  - getFullScriptureList
//    (Gets list of all scriptures (with book titles and authors).)
// ******************************************************************

// **** getFullScriptureList Function ****
// Input: --
// Output: Scripture Book, Start Chapter, Start Verse, End Chapter, End Verse, Doc_ID, Book Title, Author Last Name, Author First Name
// Description: Gets list of all scripture references and their corresponding books (with authors).
// Sorted By: Sequential Bible Book Order
function getFullScriptureList()
{
  global $dbPrefix;
  $queryString = 'SELECT s.book, s.s_ch, s.s_vs, s.e_ch, s.e_vs, s.doc_id, b.title, a.l_name, a.f_name
                  FROM `' . $dbPrefix . 'scripture` AS s, `' . $dbPrefix . 'book` AS b, `' . $dbPrefix . 'author` AS a
                  WHERE s.doc_id = b.doc_id
                   AND b.author_id = a.author_id
                  ORDER BY s.book, s.s_ch, s.s_vs, s.e_ch, s.e_vs;';
  $result = dbQuery($queryString);
  return $result;
}
?>
