<?php
include_once('etc/vars.php');

// ******************************************************************
// STATS FUNCTIONS
// Functions Available:
//  - addBookRead
//    (Adds Item counts to the book and corresponding author.)
//  - addItemCount
//    (Increments the counter for the passed in stat.)
// ******************************************************************

// **** addBookRead Function ****
// Input: doc_id
// Output: --
// Description: Adds Item counts to the book and corresponding author.
function addBookRead($doc_id)
{
  addItemCount($doc_id);                      // Add stat for book
  $author_details = getBook($doc_id);         // Lookup author
  $author_detail = dbGetRow($author_details); // Get author details
  addItemCount($author_detail[1]);            // Add stat for author
}

// **** addItemCount Function ****
// Input: item (ID of some sort)
// Output: Recordset result.
// Description: Increments the counter for the passed in stat.
function addItemCount($item)
{
  global $dbPrefix;
  $queryString = 'UPDATE `' . $dbPrefix . 'stat`
                   SET stat = stat + 1
                   WHERE item = ' . $item . ';';
  $result = dbQuery($queryString);
  return $result;
}

?>
